Skip to main content
PATCH
Partially update a product

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Path Parameters

id
string<uuid>
required

A UUID string identifying this product.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

custom_fields
unknown
code
string
description
string | null
name
string
tracking_method
enum<string>
  • N - NONE
  • S - SERIAL
  • B - BATCH
Available options:
N,
S,
B
conversion_factor
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
is_imported
boolean
manage_committed_inventory
boolean
has_substitute
boolean
product_class
enum<string>
  • NO - NONE
  • RM - RAW_MATERIAL
  • PR - IN_PROCESS
  • FP - FINISHED_PRODUCT
Available options:
NO,
RM,
PR,
FP
is_active
boolean
product_option
string<uuid>[] | null
group
string<uuid>
brand
string<uuid> | null
base_unit
string<uuid>
alternative_measure_unit
string<uuid> | null
product_type
string<uuid>
tree_hash
string<uuid> | null

Response

200 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.